Bug 221141 - devel/ice: Update to 3.7.0
Summary: devel/ice: Update to 3.7.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Michael Gmelin
URL: https://forums.zeroc.com/discussion/4...
Keywords: needs-patch
Depends on:
Blocks:
 
Reported: 2017-08-01 10:27 UTC by Roger Leigh
Modified: 2018-08-27 16:38 UTC (History)
3 users (show)

See Also:
bugzilla: maintainer-feedback? (grembo)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roger Leigh 2017-08-01 10:27:13 UTC
ZeroC released a new stable version last week.  https://forums.zeroc.com/discussion/46530/ice-3-7-released and https://doc.zeroc.com/display/Ice37/Ice+Release+Notes

Notable changes include the dropping of Berkely DB (now uses lmdb) and the requirement for Java 8.

If you need any help updating the port or testing it, I'll be happy to help as I am able.
Comment 1 Michael Gmelin freebsd_committer 2017-08-01 10:59:31 UTC
I'm aware of it.

Please note that porting ice is a lot of work - 3.5 and especially 3.6 took a long time and I found a couple of bugs on the way (some FreeBSD specific and some multi platform). So porting this will take a while.

I also plan to split off 3.6, so that we will end up with devel/ice36 and devel/ice37 or something like this, as the transition from one version to the other isn't always smooth (especially now as there are two C++ language mappings available).

Again, 3.6 had a few catastrophic bugs, so I want to make sure to make this slow and optional.
Comment 2 Roger Leigh 2017-08-01 11:05:47 UTC
Having separate ice36 and ice37 packages definitely makes sense.  Upgrading as an end user is also fraught with difficulties.
Comment 3 Michael Gmelin freebsd_committer 2018-01-22 23:27:56 UTC
(In reply to Roger Leigh from comment #2)

Just to keep you posted, I still didn't have the time to finish the port (my previous effort was lost), but I'm still on it and this will happen.
Comment 4 Michael Gmelin freebsd_committer 2018-01-22 23:28:32 UTC
(In reply to Roger Leigh from comment #2)

In the meantime, I finished testing and upgrading ice 3.6 to 3.6.4 today.
Comment 5 commit-hook freebsd_committer 2018-08-27 12:07:48 UTC
A commit references this bug:

Author: grembo
Date: Mon Aug 27 12:07:18 UTC 2018
New revision: 478195
URL: https://svnweb.freebsd.org/changeset/ports/478195

Log:
  Add ZeroC Ice 3.7.1 as devel/ice37

  Upgrading from Ice 3.6 (devel/ice) is non-trivial (requires application code
  changes), therefore a separate port was required.

  PR:		221141

Changes:
  head/devel/Makefile
  head/devel/ice37/
  head/devel/ice37/Makefile
  head/devel/ice37/distinfo
  head/devel/ice37/files/
  head/devel/ice37/files/Make.rules.FreeBSD
  head/devel/ice37/files/patch-config-Make.project.rules
  head/devel/ice37/files/patch-config-Make.rules
  head/devel/ice37/files/patch-cpp-include-IceUtil-Config.h
  head/devel/ice37/files/patch-cpp-src-Ice-ProxyFactory.cpp
  head/devel/ice37/files/patch-cpp-src-Ice-Thread.cpp
  head/devel/ice37/files/patch-cpp-src-IceGrid-PluginFacadeI.cpp
  head/devel/ice37/files/patch-cpp-src-IceGrid-RegistryI.cpp
  head/devel/ice37/files/patch-cpp-test-Glacier2-ssl-Server.cpp
  head/devel/ice37/files/patch-cpp-test-Ice-info-AllTests.cpp
  head/devel/ice37/files/patch-cpp-test-Ice-metrics-AllTests.cpp
  head/devel/ice37/files/patch-cpp-test-Ice-threadPoolPriority-AllTests.cpp
  head/devel/ice37/files/patch-cpp-test-Ice-threadPoolPriority-Server.cpp
  head/devel/ice37/files/patch-cpp-test-Ice-threadPoolPriority-ServerCustomThreadPool.cpp
  head/devel/ice37/files/patch-cpp-test-IceSSL-configuration-AllTests.cpp
  head/devel/ice37/files/patch-cpp-test-IceStorm-single-test.py
  head/devel/ice37/files/patch-cpp-test-IceUtil-priority-PriorityInversion.cpp
  head/devel/ice37/files/patch-cpp-test-Slice-unicodePaths-test.py
  head/devel/ice37/files/patch-cpp-test-include-TestCommon.h
  head/devel/ice37/files/patch-php-Makefile
  head/devel/ice37/files/patch-php-config-Make.rules
  head/devel/ice37/files/patch-php-src-php5-Makefile.mk
  head/devel/ice37/files/patch-php-src-php7-Makefile.mk
  head/devel/ice37/files/patch-python-Makefile
  head/devel/ice37/files/patch-python-config-Make.rules
  head/devel/ice37/files/patch-python-modules-IcePy-Makefile.mk
  head/devel/ice37/files/patch-python-python-Makefile
  head/devel/ice37/files/patch-python-test-Ice-info-AllTests.py
  head/devel/ice37/files/patch-scripts-Glacier2Util.py
  head/devel/ice37/files/patch-scripts-Util.py
  head/devel/ice37/pkg-descr
  head/devel/ice37/pkg-plist
Comment 6 commit-hook freebsd_committer 2018-08-27 12:09:53 UTC
A commit references this bug:

Author: grembo
Date: Mon Aug 27 12:09:19 UTC 2018
New revision: 478196
URL: https://svnweb.freebsd.org/changeset/ports/478196

Log:
  Add ZeroC Ice 3.7.1 python language mapping as devel/py-ice37

  Upgrading from Ice 3.6 (devel/py-ice) is non-trivial (requires
  application code changed), therefore a separate port was required.

  PR:		221141

Changes:
  head/devel/Makefile
  head/devel/py-ice37/
  head/devel/py-ice37/Makefile
  head/devel/py-ice37/pkg-descr
  head/devel/py-ice37/pkg-plist
Comment 7 commit-hook freebsd_committer 2018-08-27 12:13:58 UTC
A commit references this bug:

Author: grembo
Date: Mon Aug 27 12:13:42 UTC 2018
New revision: 478197
URL: https://svnweb.freebsd.org/changeset/ports/478197

Log:
  Add ZeroC Ice 3.7.1 PHP language mapping as devel/php-ice37

  Upgrading from Ice 3.6 (devel/php5-ice) is non-trivial (requires application
  code changes), therefore a separate port was required.

  PR:		221141

Changes:
  head/devel/Makefile
  head/devel/php-ice37/
  head/devel/php-ice37/Makefile
  head/devel/php-ice37/pkg-descr
  head/devel/php-ice37/pkg-plist
Comment 8 commit-hook freebsd_committer 2018-08-27 12:25:08 UTC
A commit references this bug:

Author: grembo
Date: Mon Aug 27 12:24:57 UTC 2018
New revision: 478198
URL: https://svnweb.freebsd.org/changeset/ports/478198

Log:
  Mark devel/{ice37|php-ice37,py-ice37} ports as conflicting.

  Didn't bump revisions, as problems would also arise at
  build time and the conflicting ports are already marked
  as conflicting with the ice 3.6 family of ports.

  PR:		221141

Changes:
  head/devel/ice/Makefile
Comment 9 Michael Gmelin freebsd_committer 2018-08-27 12:29:34 UTC
Tested (almost) all permutation of:
- 11.2 from ports tree
- 11.2 poudriere
- 10.4 poudriere
- With and without unit tests
- With and without static build
- python 2.7, 3.4 and 3.6
- SSL from base, OpenSSL from ports and LibreSSL
- php5.6 and php7.2

No testing on i386.

Please reopen in case you find any issues.
Comment 10 commit-hook freebsd_committer 2018-08-27 16:38:30 UTC
A commit references this bug:

Author: grembo
Date: Mon Aug 27 16:37:59 UTC 2018
New revision: 478221
URL: https://svnweb.freebsd.org/changeset/ports/478221

Log:
  Add ZeroC Ice 3.7.1 as new ports devel/{ice37|php-ice37|py-ice37}

  Upgrading from Ice 3.6 isn't trivial, as it requires application
  code changes. Therefore a new set of ports was created.

  Marked devel/{ice|php5-ice|py-ice} as conflicting (and vice versa).

  PR:		221141

Changes:
  head/devel/Makefile
  head/devel/ice/Makefile
  head/devel/ice37/
  head/devel/ice37/Makefile
  head/devel/ice37/distinfo
  head/devel/ice37/files/Make.rules.FreeBSD
  head/devel/ice37/files/patch-config-Make.common.rules
  head/devel/ice37/files/patch-config-Make.project.rules
  head/devel/ice37/files/patch-config-Make.rules
  head/devel/ice37/files/patch-cpp-Makefile
  head/devel/ice37/files/patch-cpp-allTests.py
  head/devel/ice37/files/patch-cpp-config-Make.rules
  head/devel/ice37/files/patch-cpp-include-Ice-FactoryTableInit.h
  head/devel/ice37/files/patch-cpp-include-IceUtil-Config.h
  head/devel/ice37/files/patch-cpp-include-IceUtil-ScannerConfig.h
  head/devel/ice37/files/patch-cpp-src-Glacier2CryptPermissionsVerifier-CryptPermissionsVerifierI.cpp
  head/devel/ice37/files/patch-cpp-src-Ice-ProxyFactory.cpp
  head/devel/ice37/files/patch-cpp-src-Ice-Thread.cpp
  head/devel/ice37/files/patch-cpp-src-IceGrid-PluginFacadeI.cpp
  head/devel/ice37/files/patch-cpp-src-IceGrid-RegistryI.cpp
  head/devel/ice37/files/patch-cpp-src-IceSSL-Makefile
  head/devel/ice37/files/patch-cpp-test-Glacier2-ssl-Server.cpp
  head/devel/ice37/files/patch-cpp-test-Glacier2-staticFiltering-run.py
  head/devel/ice37/files/patch-cpp-test-Ice-info-AllTests.cpp
  head/devel/ice37/files/patch-cpp-test-Ice-metrics-AllTests.cpp
  head/devel/ice37/files/patch-cpp-test-Ice-objects-Makefile
  head/devel/ice37/files/patch-cpp-test-Ice-properties-run.py
  head/devel/ice37/files/patch-cpp-test-Ice-threadPoolPriority-AllTests.cpp
  head/devel/ice37/files/patch-cpp-test-Ice-threadPoolPriority-Server.cpp
  head/devel/ice37/files/patch-cpp-test-Ice-threadPoolPriority-ServerCustomThreadPool.cpp
  head/devel/ice37/files/patch-cpp-test-IceGrid-admin-run.py
  head/devel/ice37/files/patch-cpp-test-IceGrid-deployer-AllTests.cpp
  head/devel/ice37/files/patch-cpp-test-IceGrid-deployer-Makefile
  head/devel/ice37/files/patch-cpp-test-IceGrid-deployer-application.xml
  head/devel/ice37/files/patch-cpp-test-IceGrid-distribution-AllTests.cpp
  head/devel/ice37/files/patch-cpp-test-IceGrid-distribution-application.xml
  head/devel/ice37/files/patch-cpp-test-IceGrid-distribution-run.py
  head/devel/ice37/files/patch-cpp-test-IceGrid-session-run.py
  head/devel/ice37/files/patch-cpp-test-IceSSL-configuration-AllTests.cpp
  head/devel/ice37/files/patch-cpp-test-IceSSL-configuration-run.py
  head/devel/ice37/files/patch-cpp-test-IceStorm-single-test.py
  head/devel/ice37/files/patch-cpp-test-IceUtil-priority-PriorityInversion.cpp
  head/devel/ice37/files/patch-cpp-test-Slice-headers-run.py
  head/devel/ice37/files/patch-cpp-test-Slice-unicodePaths-run.py
  head/devel/ice37/files/patch-cpp-test-Slice-unicodePaths-test.py
  head/devel/ice37/files/patch-cpp-test-include-TestCommon.h
  head/devel/ice37/files/patch-php-Makefile
  head/devel/ice37/files/patch-php-config-Make.rules
  head/devel/ice37/files/patch-php-config-Make.rules.php
  head/devel/ice37/files/patch-php-lib-Makefile
  head/devel/ice37/files/patch-php-src-php5-Makefile.mk
  head/devel/ice37/files/patch-php-src-php7-Makefile.mk
  head/devel/ice37/files/patch-python-Makefile
  head/devel/ice37/files/patch-python-config-Make.rules
  head/devel/ice37/files/patch-python-modules-IcePy-Makefile.mk
  head/devel/ice37/files/patch-python-modules-IcePy-Types.cpp
  head/devel/ice37/files/patch-python-modules-IcePy-Types.h
  head/devel/ice37/files/patch-python-python-Makefile
  head/devel/ice37/files/patch-python-test-Ice-info-AllTests.py
  head/devel/ice37/files/patch-python-test-Ice-properties-run.py
  head/devel/ice37/files/patch-python-test-Slice-unicodePaths-run.py
  head/devel/ice37/files/patch-scripts-Expect.py
  head/devel/ice37/files/patch-scripts-Glacier2Util.py
  head/devel/ice37/files/patch-scripts-IceGridAdmin.py
  head/devel/ice37/files/patch-scripts-TestUtil.py
  head/devel/ice37/files/patch-scripts-Util.py
  head/devel/ice37/pkg-message
  head/devel/ice37/pkg-plist
  head/devel/php-ice37/
  head/devel/php-ice37/Makefile
  head/devel/php-ice37/pkg-plist
  head/devel/py-ice37/
  head/devel/py-ice37/Makefile
  head/devel/py-ice37/pkg-plist